﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

#pragma warning disable 1591

namespace RastreamentoWebService {
    
    
    /// <summary>
    ///Represents a strongly typed in-memory cache of data.
    ///</summary>
    [global::System.Serializable()]
    [global::System.ComponentModel.DesignerCategoryAttribute("code")]
    [global::System.ComponentModel.ToolboxItem(true)]
    [global::System.Xml.Serialization.XmlSchemaProviderAttribute("GetTypedDataSetSchema")]
    [global::System.Xml.Serialization.XmlRootAttribute("LeituraDataSet")]
    [global::System.ComponentModel.Design.HelpKeywordAttribute("vs.data.DataSet")]
    public partial class LeituraDataSet : global::System.Data.DataSet {
        
        private sgm_LeituraDataTable tablesgm_Leitura;
        
        private global::System.Data.SchemaSerializationMode _schemaSerializationMode = global::System.Data.SchemaSerializationMode.IncludeSchema;
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        public LeituraDataSet() {
            this.BeginInit();
            this.InitClass();
            global::System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new global::System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            base.Tables.CollectionChanged += schemaChangedHandler;
            base.Relations.CollectionChanged += schemaChangedHandler;
            this.EndInit();
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        protected LeituraDataSet(global::System.Runtime.Serialization.SerializationInfo info, global::System.Runtime.Serialization.StreamingContext context) : 
                base(info, context, false) {
            if ((this.IsBinarySerialized(info, context) == true)) {
                this.InitVars(false);
                global::System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler1 = new global::System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
                this.Tables.CollectionChanged += schemaChangedHandler1;
                this.Relations.CollectionChanged += schemaChangedHandler1;
                return;
            }
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((this.DetermineSchemaSerializationMode(info, context) == global::System.Data.SchemaSerializationMode.IncludeSchema)) {
                global::System.Data.DataSet ds = new global::System.Data.DataSet();
                ds.ReadXmlSchema(new global::System.Xml.XmlTextReader(new global::System.IO.StringReader(strSchema)));
                if ((ds.Tables["sgm_Leitura"] != null)) {
                    base.Tables.Add(new sgm_LeituraDataTable(ds.Tables["sgm_Leitura"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, global::System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else {
                this.ReadXmlSchema(new global::System.Xml.XmlTextReader(new global::System.IO.StringReader(strSchema)));
            }
            this.GetSerializationData(info, context);
            global::System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new global::System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            base.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        [global::System.ComponentModel.Browsable(false)]
        [global::System.ComponentModel.DesignerSerializationVisibility(global::System.ComponentModel.DesignerSerializationVisibility.Content)]
        public sgm_LeituraDataTable sgm_Leitura {
            get {
                return this.tablesgm_Leitura;
            }
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        [global::System.ComponentModel.BrowsableAttribute(true)]
        [global::System.ComponentModel.DesignerSerializationVisibilityAttribute(global::System.ComponentModel.DesignerSerializationVisibility.Visible)]
        public override global::System.Data.SchemaSerializationMode SchemaSerializationMode {
            get {
                return this._schemaSerializationMode;
            }
            set {
                this._schemaSerializationMode = value;
            }
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        [global::System.ComponentModel.DesignerSerializationVisibilityAttribute(global::System.ComponentModel.DesignerSerializationVisibility.Hidden)]
        public new global::System.Data.DataTableCollection Tables {
            get {
                return base.Tables;
            }
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        [global::System.ComponentModel.DesignerSerializationVisibilityAttribute(global::System.ComponentModel.DesignerSerializationVisibility.Hidden)]
        public new global::System.Data.DataRelationCollection Relations {
            get {
                return base.Relations;
            }
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        protected override void InitializeDerivedDataSet() {
            this.BeginInit();
            this.InitClass();
            this.EndInit();
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        public override global::System.Data.DataSet Clone() {
            LeituraDataSet cln = ((LeituraDataSet)(base.Clone()));
            cln.InitVars();
            cln.SchemaSerializationMode = this.SchemaSerializationMode;
            return cln;
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        protected override bool ShouldSerializeTables() {
            return false;
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        protected override bool ShouldSerializeRelations() {
            return false;
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        protected override void ReadXmlSerializable(global::System.Xml.XmlReader reader) {
            if ((this.DetermineSchemaSerializationMode(reader) == global::System.Data.SchemaSerializationMode.IncludeSchema)) {
                this.Reset();
                global::System.Data.DataSet ds = new global::System.Data.DataSet();
                ds.ReadXml(reader);
                if ((ds.Tables["sgm_Leitura"] != null)) {
                    base.Tables.Add(new sgm_LeituraDataTable(ds.Tables["sgm_Leitura"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, global::System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else {
                this.ReadXml(reader);
                this.InitVars();
            }
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        protected override global::System.Xml.Schema.XmlSchema GetSchemaSerializable() {
            global::System.IO.MemoryStream stream = new global::System.IO.MemoryStream();
            this.WriteXmlSchema(new global::System.Xml.XmlTextWriter(stream, null));
            stream.Position = 0;
            return global::System.Xml.Schema.XmlSchema.Read(new global::System.Xml.XmlTextReader(stream), null);
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        internal void InitVars() {
            this.InitVars(true);
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        internal void InitVars(bool initTable) {
            this.tablesgm_Leitura = ((sgm_LeituraDataTable)(base.Tables["sgm_Leitura"]));
            if ((initTable == true)) {
                if ((this.tablesgm_Leitura != null)) {
                    this.tablesgm_Leitura.InitVars();
                }
            }
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        private void InitClass() {
            this.DataSetName = "LeituraDataSet";
            this.Prefix = "";
            this.Namespace = "http://tempuri.org/LeituraDataSet.xsd";
            this.EnforceConstraints = true;
            this.SchemaSerializationMode = global::System.Data.SchemaSerializationMode.IncludeSchema;
            this.tablesgm_Leitura = new sgm_LeituraDataTable();
            base.Tables.Add(this.tablesgm_Leitura);
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        private bool ShouldSerializesgm_Leitura() {
            return false;
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        private void SchemaChanged(object sender, global::System.ComponentModel.CollectionChangeEventArgs e) {
            if ((e.Action == global::System.ComponentModel.CollectionChangeAction.Remove)) {
                this.InitVars();
            }
        }
        
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        public static global::System.Xml.Schema.XmlSchemaComplexType GetTypedDataSetSchema(global::System.Xml.Schema.XmlSchemaSet xs) {
            LeituraDataSet ds = new LeituraDataSet();
            global::System.Xml.Schema.XmlSchemaComplexType type = new global::System.Xml.Schema.XmlSchemaComplexType();
            global::System.Xml.Schema.XmlSchemaSequence sequence = new global::System.Xml.Schema.XmlSchemaSequence();
            global::System.Xml.Schema.XmlSchemaAny any = new global::System.Xml.Schema.XmlSchemaAny();
            any.Namespace = ds.Namespace;
            sequence.Items.Add(any);
            type.Particle = sequence;
            global::System.Xml.Schema.XmlSchema dsSchema = ds.GetSchemaSerializable();
            if (xs.Contains(dsSchema.TargetNamespace)) {
                global::System.IO.MemoryStream s1 = new global::System.IO.MemoryStream();
                global::System.IO.MemoryStream s2 = new global::System.IO.MemoryStream();
                try {
                    global::System.Xml.Schema.XmlSchema schema = null;
                    dsSchema.Write(s1);
                    for (global::System.Collections.IEnumerator schemas = xs.Schemas(dsSchema.TargetNamespace).GetEnumerator(); schemas.MoveNext(); ) {
                        schema = ((global::System.Xml.Schema.XmlSchema)(schemas.Current));
                        s2.SetLength(0);
                        schema.Write(s2);
                        if ((s1.Length == s2.Length)) {
                            s1.Position = 0;
                            s2.Position = 0;
                            for (; ((s1.Position != s1.Length) 
                                        && (s1.ReadByte() == s2.ReadByte())); ) {
                                ;
                            }
                            if ((s1.Position == s1.Length)) {
                                return type;
                            }
                        }
                    }
                }
                finally {
                    if ((s1 != null)) {
                        s1.Close();
                    }
                    if ((s2 != null)) {
                        s2.Close();
                    }
                }
            }
            xs.Add(dsSchema);
            return type;
        }
        
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        public delegate void sgm_LeituraRowChangeEventHandler(object sender, sgm_LeituraRowChangeEvent e);
        
        /// <summary>
        ///Represents the strongly named DataTable class.
        ///</summary>
        [global::System.Serializable()]
        [global::System.Xml.Serialization.XmlSchemaProviderAttribute("GetTypedTableSchema")]
        public partial class sgm_LeituraDataTable : global::System.Data.TypedTableBase<sgm_LeituraRow> {
            
            private global::System.Data.DataColumn columnId_Ponto_Entrega;
            
            private global::System.Data.DataColumn columnId_Leitura;
            
            private global::System.Data.DataColumn columnDia;
            
            private global::System.Data.DataColumn columnMes;
            
            private global::System.Data.DataColumn columnAno;
            
            private global::System.Data.DataColumn columnHora;
            
            private global::System.Data.DataColumn columnMinuto;
            
            private global::System.Data.DataColumn columnSegundo;
            
            private global::System.Data.DataColumn columnId_Tipo_Medicao;
            
            private global::System.Data.DataColumn columnId_Leiturista;
            
            private global::System.Data.DataColumn columnTotalizacao_Minuto;
            
            private global::System.Data.DataColumn columnPressao;
            
            private global::System.Data.DataColumn columnTemperatura;
            
            private global::System.Data.DataColumn columnVolume_Lido;
            
            private global::System.Data.DataColumn columnVolume_Corrigido_Dia;
            
            private global::System.Data.DataColumn columnVolume_Corrigido_Hora;
            
            private global::System.Data.DataColumn columnData_Inclusao;
            
            private global::System.Data.DataColumn columnFlag_Status;
            
            private global::System.Data.DataColumn columnData_Conferencia;
            
            private global::System.Data.DataColumn columnflag_Corrigido;
            
            private global::System.Data.DataColumn columnData_Corrigido;
            
            private global::System.Data.DataColumn columnId_Leitura_Anterior;
            
            private global::System.Data.DataColumn columnData_Referencia;
            
            private global::System.Data.DataColumn columnPressao_CV;
            
            private global::System.Data.DataColumn columnTemperatura_CV;
            
            private global::System.Data.DataColumn columnVolume_CV;
            
            private global::System.Data.DataColumn columnObservacoes;
            
            private global::System.Data.DataColumn columnf_Consumo;
            
            private global::System.Data.DataColumn columnPressao_Conversor;
            
            private global::System.Data.DataColumn columnTemperatura_Conversor;
            
            private global::System.Data.DataColumn columnVolume_Conversor;
            
            private global::System.Data.DataColumn columnflag_Faturar;
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public sgm_LeituraDataTable() {
                this.TableName = "sgm_Leitura";
                this.BeginInit();
                this.InitClass();
                this.EndInit();
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            internal sgm_LeituraDataTable(global::System.Data.DataTable table) {
                this.TableName = table.TableName;
                if ((table.CaseSensitive != table.DataSet.CaseSensitive)) {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString())) {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace)) {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            protected sgm_LeituraDataTable(global::System.Runtime.Serialization.SerializationInfo info, global::System.Runtime.Serialization.StreamingContext context) : 
                    base(info, context) {
                this.InitVars();
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Id_Ponto_EntregaColumn {
                get {
                    return this.columnId_Ponto_Entrega;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Id_LeituraColumn {
                get {
                    return this.columnId_Leitura;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn DiaColumn {
                get {
                    return this.columnDia;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn MesColumn {
                get {
                    return this.columnMes;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn AnoColumn {
                get {
                    return this.columnAno;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn HoraColumn {
                get {
                    return this.columnHora;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn MinutoColumn {
                get {
                    return this.columnMinuto;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn SegundoColumn {
                get {
                    return this.columnSegundo;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Id_Tipo_MedicaoColumn {
                get {
                    return this.columnId_Tipo_Medicao;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Id_LeituristaColumn {
                get {
                    return this.columnId_Leiturista;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Totalizacao_MinutoColumn {
                get {
                    return this.columnTotalizacao_Minuto;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn PressaoColumn {
                get {
                    return this.columnPressao;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn TemperaturaColumn {
                get {
                    return this.columnTemperatura;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Volume_LidoColumn {
                get {
                    return this.columnVolume_Lido;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Volume_Corrigido_DiaColumn {
                get {
                    return this.columnVolume_Corrigido_Dia;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Volume_Corrigido_HoraColumn {
                get {
                    return this.columnVolume_Corrigido_Hora;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Data_InclusaoColumn {
                get {
                    return this.columnData_Inclusao;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Flag_StatusColumn {
                get {
                    return this.columnFlag_Status;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Data_ConferenciaColumn {
                get {
                    return this.columnData_Conferencia;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn flag_CorrigidoColumn {
                get {
                    return this.columnflag_Corrigido;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Data_CorrigidoColumn {
                get {
                    return this.columnData_Corrigido;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Id_Leitura_AnteriorColumn {
                get {
                    return this.columnId_Leitura_Anterior;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Data_ReferenciaColumn {
                get {
                    return this.columnData_Referencia;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Pressao_CVColumn {
                get {
                    return this.columnPressao_CV;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Temperatura_CVColumn {
                get {
                    return this.columnTemperatura_CV;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Volume_CVColumn {
                get {
                    return this.columnVolume_CV;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn ObservacoesColumn {
                get {
                    return this.columnObservacoes;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn f_ConsumoColumn {
                get {
                    return this.columnf_Consumo;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Pressao_ConversorColumn {
                get {
                    return this.columnPressao_Conversor;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Temperatura_ConversorColumn {
                get {
                    return this.columnTemperatura_Conversor;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn Volume_ConversorColumn {
                get {
                    return this.columnVolume_Conversor;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataColumn flag_FaturarColumn {
                get {
                    return this.columnflag_Faturar;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            [global::System.ComponentModel.Browsable(false)]
            public int Count {
                get {
                    return this.Rows.Count;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public sgm_LeituraRow this[int index] {
                get {
                    return ((sgm_LeituraRow)(this.Rows[index]));
                }
            }
            
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public event sgm_LeituraRowChangeEventHandler sgm_LeituraRowChanging;
            
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public event sgm_LeituraRowChangeEventHandler sgm_LeituraRowChanged;
            
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public event sgm_LeituraRowChangeEventHandler sgm_LeituraRowDeleting;
            
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public event sgm_LeituraRowChangeEventHandler sgm_LeituraRowDeleted;
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void Addsgm_LeituraRow(sgm_LeituraRow row) {
                this.Rows.Add(row);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public sgm_LeituraRow Addsgm_LeituraRow(
                        int Id_Ponto_Entrega, 
                        int Dia, 
                        int Mes, 
                        int Ano, 
                        int Hora, 
                        int Minuto, 
                        int Segundo, 
                        int Id_Tipo_Medicao, 
                        int Id_Leiturista, 
                        decimal Totalizacao_Minuto, 
                        decimal Pressao, 
                        decimal Temperatura, 
                        decimal Volume_Lido, 
                        decimal Volume_Corrigido_Dia, 
                        decimal Volume_Corrigido_Hora, 
                        System.DateTime Data_Inclusao, 
                        bool Flag_Status, 
                        System.DateTime Data_Conferencia, 
                        bool flag_Corrigido, 
                        System.DateTime Data_Corrigido, 
                        int Id_Leitura_Anterior, 
                        System.DateTime Data_Referencia, 
                        decimal Pressao_CV, 
                        decimal Temperatura_CV, 
                        decimal Volume_CV, 
                        string Observacoes, 
                        bool f_Consumo, 
                        decimal Pressao_Conversor, 
                        decimal Temperatura_Conversor, 
                        decimal Volume_Conversor, 
                        bool flag_Faturar) {
                sgm_LeituraRow rowsgm_LeituraRow = ((sgm_LeituraRow)(this.NewRow()));
                object[] columnValuesArray = new object[] {
                        Id_Ponto_Entrega,
                        null,
                        Dia,
                        Mes,
                        Ano,
                        Hora,
                        Minuto,
                        Segundo,
                        Id_Tipo_Medicao,
                        Id_Leiturista,
                        Totalizacao_Minuto,
                        Pressao,
                        Temperatura,
                        Volume_Lido,
                        Volume_Corrigido_Dia,
                        Volume_Corrigido_Hora,
                        Data_Inclusao,
                        Flag_Status,
                        Data_Conferencia,
                        flag_Corrigido,
                        Data_Corrigido,
                        Id_Leitura_Anterior,
                        Data_Referencia,
                        Pressao_CV,
                        Temperatura_CV,
                        Volume_CV,
                        Observacoes,
                        f_Consumo,
                        Pressao_Conversor,
                        Temperatura_Conversor,
                        Volume_Conversor,
                        flag_Faturar};
                rowsgm_LeituraRow.ItemArray = columnValuesArray;
                this.Rows.Add(rowsgm_LeituraRow);
                return rowsgm_LeituraRow;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public sgm_LeituraRow FindById_Ponto_EntregaId_Leitura(int Id_Ponto_Entrega, int Id_Leitura) {
                return ((sgm_LeituraRow)(this.Rows.Find(new object[] {
                            Id_Ponto_Entrega,
                            Id_Leitura})));
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public override global::System.Data.DataTable Clone() {
                sgm_LeituraDataTable cln = ((sgm_LeituraDataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            protected override global::System.Data.DataTable CreateInstance() {
                return new sgm_LeituraDataTable();
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            internal void InitVars() {
                this.columnId_Ponto_Entrega = base.Columns["Id_Ponto_Entrega"];
                this.columnId_Leitura = base.Columns["Id_Leitura"];
                this.columnDia = base.Columns["Dia"];
                this.columnMes = base.Columns["Mes"];
                this.columnAno = base.Columns["Ano"];
                this.columnHora = base.Columns["Hora"];
                this.columnMinuto = base.Columns["Minuto"];
                this.columnSegundo = base.Columns["Segundo"];
                this.columnId_Tipo_Medicao = base.Columns["Id_Tipo_Medicao"];
                this.columnId_Leiturista = base.Columns["Id_Leiturista"];
                this.columnTotalizacao_Minuto = base.Columns["Totalizacao_Minuto"];
                this.columnPressao = base.Columns["Pressao"];
                this.columnTemperatura = base.Columns["Temperatura"];
                this.columnVolume_Lido = base.Columns["Volume_Lido"];
                this.columnVolume_Corrigido_Dia = base.Columns["Volume_Corrigido_Dia"];
                this.columnVolume_Corrigido_Hora = base.Columns["Volume_Corrigido_Hora"];
                this.columnData_Inclusao = base.Columns["Data_Inclusao"];
                this.columnFlag_Status = base.Columns["Flag_Status"];
                this.columnData_Conferencia = base.Columns["Data_Conferencia"];
                this.columnflag_Corrigido = base.Columns["flag_Corrigido"];
                this.columnData_Corrigido = base.Columns["Data_Corrigido"];
                this.columnId_Leitura_Anterior = base.Columns["Id_Leitura_Anterior"];
                this.columnData_Referencia = base.Columns["Data_Referencia"];
                this.columnPressao_CV = base.Columns["Pressao_CV"];
                this.columnTemperatura_CV = base.Columns["Temperatura_CV"];
                this.columnVolume_CV = base.Columns["Volume_CV"];
                this.columnObservacoes = base.Columns["Observacoes"];
                this.columnf_Consumo = base.Columns["f_Consumo"];
                this.columnPressao_Conversor = base.Columns["Pressao_Conversor"];
                this.columnTemperatura_Conversor = base.Columns["Temperatura_Conversor"];
                this.columnVolume_Conversor = base.Columns["Volume_Conversor"];
                this.columnflag_Faturar = base.Columns["flag_Faturar"];
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            private void InitClass() {
                this.columnId_Ponto_Entrega = new global::System.Data.DataColumn("Id_Ponto_Entrega", typeof(int), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnId_Ponto_Entrega);
                this.columnId_Leitura = new global::System.Data.DataColumn("Id_Leitura", typeof(int), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnId_Leitura);
                this.columnDia = new global::System.Data.DataColumn("Dia", typeof(int), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnDia);
                this.columnMes = new global::System.Data.DataColumn("Mes", typeof(int), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnMes);
                this.columnAno = new global::System.Data.DataColumn("Ano", typeof(int), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnAno);
                this.columnHora = new global::System.Data.DataColumn("Hora", typeof(int), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnHora);
                this.columnMinuto = new global::System.Data.DataColumn("Minuto", typeof(int), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnMinuto);
                this.columnSegundo = new global::System.Data.DataColumn("Segundo", typeof(int), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnSegundo);
                this.columnId_Tipo_Medicao = new global::System.Data.DataColumn("Id_Tipo_Medicao", typeof(int), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnId_Tipo_Medicao);
                this.columnId_Leiturista = new global::System.Data.DataColumn("Id_Leiturista", typeof(int), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnId_Leiturista);
                this.columnTotalizacao_Minuto = new global::System.Data.DataColumn("Totalizacao_Minuto", typeof(decimal), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnTotalizacao_Minuto);
                this.columnPressao = new global::System.Data.DataColumn("Pressao", typeof(decimal), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnPressao);
                this.columnTemperatura = new global::System.Data.DataColumn("Temperatura", typeof(decimal), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnTemperatura);
                this.columnVolume_Lido = new global::System.Data.DataColumn("Volume_Lido", typeof(decimal), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnVolume_Lido);
                this.columnVolume_Corrigido_Dia = new global::System.Data.DataColumn("Volume_Corrigido_Dia", typeof(decimal), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnVolume_Corrigido_Dia);
                this.columnVolume_Corrigido_Hora = new global::System.Data.DataColumn("Volume_Corrigido_Hora", typeof(decimal), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnVolume_Corrigido_Hora);
                this.columnData_Inclusao = new global::System.Data.DataColumn("Data_Inclusao", typeof(global::System.DateTime), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnData_Inclusao);
                this.columnFlag_Status = new global::System.Data.DataColumn("Flag_Status", typeof(bool), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnFlag_Status);
                this.columnData_Conferencia = new global::System.Data.DataColumn("Data_Conferencia", typeof(global::System.DateTime), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnData_Conferencia);
                this.columnflag_Corrigido = new global::System.Data.DataColumn("flag_Corrigido", typeof(bool), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnflag_Corrigido);
                this.columnData_Corrigido = new global::System.Data.DataColumn("Data_Corrigido", typeof(global::System.DateTime), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnData_Corrigido);
                this.columnId_Leitura_Anterior = new global::System.Data.DataColumn("Id_Leitura_Anterior", typeof(int), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnId_Leitura_Anterior);
                this.columnData_Referencia = new global::System.Data.DataColumn("Data_Referencia", typeof(global::System.DateTime), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnData_Referencia);
                this.columnPressao_CV = new global::System.Data.DataColumn("Pressao_CV", typeof(decimal), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnPressao_CV);
                this.columnTemperatura_CV = new global::System.Data.DataColumn("Temperatura_CV", typeof(decimal), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnTemperatura_CV);
                this.columnVolume_CV = new global::System.Data.DataColumn("Volume_CV", typeof(decimal), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnVolume_CV);
                this.columnObservacoes = new global::System.Data.DataColumn("Observacoes", typeof(string), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnObservacoes);
                this.columnf_Consumo = new global::System.Data.DataColumn("f_Consumo", typeof(bool), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnf_Consumo);
                this.columnPressao_Conversor = new global::System.Data.DataColumn("Pressao_Conversor", typeof(decimal), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnPressao_Conversor);
                this.columnTemperatura_Conversor = new global::System.Data.DataColumn("Temperatura_Conversor", typeof(decimal), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnTemperatura_Conversor);
                this.columnVolume_Conversor = new global::System.Data.DataColumn("Volume_Conversor", typeof(decimal), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnVolume_Conversor);
                this.columnflag_Faturar = new global::System.Data.DataColumn("flag_Faturar", typeof(bool), null, global::System.Data.MappingType.Element);
                base.Columns.Add(this.columnflag_Faturar);
                this.Constraints.Add(new global::System.Data.UniqueConstraint("LeituraDataSetKey1", new global::System.Data.DataColumn[] {
                                this.columnId_Ponto_Entrega,
                                this.columnId_Leitura}, true));
                this.columnId_Ponto_Entrega.AllowDBNull = false;
                this.columnId_Leitura.AutoIncrement = true;
                this.columnId_Leitura.AllowDBNull = false;
                this.columnId_Leitura.ReadOnly = true;
                this.columnDia.AllowDBNull = false;
                this.columnMes.AllowDBNull = false;
                this.columnAno.AllowDBNull = false;
                this.columnHora.AllowDBNull = false;
                this.columnMinuto.AllowDBNull = false;
                this.columnSegundo.AllowDBNull = false;
                this.columnId_Tipo_Medicao.AllowDBNull = false;
                this.columnPressao.AllowDBNull = false;
                this.columnTemperatura.AllowDBNull = false;
                this.columnVolume_Lido.AllowDBNull = false;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public sgm_LeituraRow Newsgm_LeituraRow() {
                return ((sgm_LeituraRow)(this.NewRow()));
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            protected override global::System.Data.DataRow NewRowFromBuilder(global::System.Data.DataRowBuilder builder) {
                return new sgm_LeituraRow(builder);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            protected override global::System.Type GetRowType() {
                return typeof(sgm_LeituraRow);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            protected override void OnRowChanged(global::System.Data.DataRowChangeEventArgs e) {
                base.OnRowChanged(e);
                if ((this.sgm_LeituraRowChanged != null)) {
                    this.sgm_LeituraRowChanged(this, new sgm_LeituraRowChangeEvent(((sgm_LeituraRow)(e.Row)), e.Action));
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            protected override void OnRowChanging(global::System.Data.DataRowChangeEventArgs e) {
                base.OnRowChanging(e);
                if ((this.sgm_LeituraRowChanging != null)) {
                    this.sgm_LeituraRowChanging(this, new sgm_LeituraRowChangeEvent(((sgm_LeituraRow)(e.Row)), e.Action));
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            protected override void OnRowDeleted(global::System.Data.DataRowChangeEventArgs e) {
                base.OnRowDeleted(e);
                if ((this.sgm_LeituraRowDeleted != null)) {
                    this.sgm_LeituraRowDeleted(this, new sgm_LeituraRowChangeEvent(((sgm_LeituraRow)(e.Row)), e.Action));
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            protected override void OnRowDeleting(global::System.Data.DataRowChangeEventArgs e) {
                base.OnRowDeleting(e);
                if ((this.sgm_LeituraRowDeleting != null)) {
                    this.sgm_LeituraRowDeleting(this, new sgm_LeituraRowChangeEvent(((sgm_LeituraRow)(e.Row)), e.Action));
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void Removesgm_LeituraRow(sgm_LeituraRow row) {
                this.Rows.Remove(row);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public static global::System.Xml.Schema.XmlSchemaComplexType GetTypedTableSchema(global::System.Xml.Schema.XmlSchemaSet xs) {
                global::System.Xml.Schema.XmlSchemaComplexType type = new global::System.Xml.Schema.XmlSchemaComplexType();
                global::System.Xml.Schema.XmlSchemaSequence sequence = new global::System.Xml.Schema.XmlSchemaSequence();
                LeituraDataSet ds = new LeituraDataSet();
                global::System.Xml.Schema.XmlSchemaAny any1 = new global::System.Xml.Schema.XmlSchemaAny();
                any1.Namespace = "http://www.w3.org/2001/XMLSchema";
                any1.MinOccurs = new decimal(0);
                any1.MaxOccurs = decimal.MaxValue;
                any1.ProcessContents = global::System.Xml.Schema.XmlSchemaContentProcessing.Lax;
                sequence.Items.Add(any1);
                global::System.Xml.Schema.XmlSchemaAny any2 = new global::System.Xml.Schema.XmlSchemaAny();
                any2.Namespace = "urn:schemas-microsoft-com:xml-diffgram-v1";
                any2.MinOccurs = new decimal(1);
                any2.ProcessContents = global::System.Xml.Schema.XmlSchemaContentProcessing.Lax;
                sequence.Items.Add(any2);
                global::System.Xml.Schema.XmlSchemaAttribute attribute1 = new global::System.Xml.Schema.XmlSchemaAttribute();
                attribute1.Name = "namespace";
                attribute1.FixedValue = ds.Namespace;
                type.Attributes.Add(attribute1);
                global::System.Xml.Schema.XmlSchemaAttribute attribute2 = new global::System.Xml.Schema.XmlSchemaAttribute();
                attribute2.Name = "tableTypeName";
                attribute2.FixedValue = "sgm_LeituraDataTable";
                type.Attributes.Add(attribute2);
                type.Particle = sequence;
                global::System.Xml.Schema.XmlSchema dsSchema = ds.GetSchemaSerializable();
                if (xs.Contains(dsSchema.TargetNamespace)) {
                    global::System.IO.MemoryStream s1 = new global::System.IO.MemoryStream();
                    global::System.IO.MemoryStream s2 = new global::System.IO.MemoryStream();
                    try {
                        global::System.Xml.Schema.XmlSchema schema = null;
                        dsSchema.Write(s1);
                        for (global::System.Collections.IEnumerator schemas = xs.Schemas(dsSchema.TargetNamespace).GetEnumerator(); schemas.MoveNext(); ) {
                            schema = ((global::System.Xml.Schema.XmlSchema)(schemas.Current));
                            s2.SetLength(0);
                            schema.Write(s2);
                            if ((s1.Length == s2.Length)) {
                                s1.Position = 0;
                                s2.Position = 0;
                                for (; ((s1.Position != s1.Length) 
                                            && (s1.ReadByte() == s2.ReadByte())); ) {
                                    ;
                                }
                                if ((s1.Position == s1.Length)) {
                                    return type;
                                }
                            }
                        }
                    }
                    finally {
                        if ((s1 != null)) {
                            s1.Close();
                        }
                        if ((s2 != null)) {
                            s2.Close();
                        }
                    }
                }
                xs.Add(dsSchema);
                return type;
            }
        }
        
        /// <summary>
        ///Represents strongly named DataRow class.
        ///</summary>
        public partial class sgm_LeituraRow : global::System.Data.DataRow {
            
            private sgm_LeituraDataTable tablesgm_Leitura;
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            internal sgm_LeituraRow(global::System.Data.DataRowBuilder rb) : 
                    base(rb) {
                this.tablesgm_Leitura = ((sgm_LeituraDataTable)(this.Table));
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public int Id_Ponto_Entrega {
                get {
                    return ((int)(this[this.tablesgm_Leitura.Id_Ponto_EntregaColumn]));
                }
                set {
                    this[this.tablesgm_Leitura.Id_Ponto_EntregaColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public int Id_Leitura {
                get {
                    return ((int)(this[this.tablesgm_Leitura.Id_LeituraColumn]));
                }
                set {
                    this[this.tablesgm_Leitura.Id_LeituraColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public int Dia {
                get {
                    return ((int)(this[this.tablesgm_Leitura.DiaColumn]));
                }
                set {
                    this[this.tablesgm_Leitura.DiaColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public int Mes {
                get {
                    return ((int)(this[this.tablesgm_Leitura.MesColumn]));
                }
                set {
                    this[this.tablesgm_Leitura.MesColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public int Ano {
                get {
                    return ((int)(this[this.tablesgm_Leitura.AnoColumn]));
                }
                set {
                    this[this.tablesgm_Leitura.AnoColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public int Hora {
                get {
                    return ((int)(this[this.tablesgm_Leitura.HoraColumn]));
                }
                set {
                    this[this.tablesgm_Leitura.HoraColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public int Minuto {
                get {
                    return ((int)(this[this.tablesgm_Leitura.MinutoColumn]));
                }
                set {
                    this[this.tablesgm_Leitura.MinutoColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public int Segundo {
                get {
                    return ((int)(this[this.tablesgm_Leitura.SegundoColumn]));
                }
                set {
                    this[this.tablesgm_Leitura.SegundoColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public int Id_Tipo_Medicao {
                get {
                    return ((int)(this[this.tablesgm_Leitura.Id_Tipo_MedicaoColumn]));
                }
                set {
                    this[this.tablesgm_Leitura.Id_Tipo_MedicaoColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public int Id_Leiturista {
                get {
                    try {
                        return ((int)(this[this.tablesgm_Leitura.Id_LeituristaColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Id_Leiturista\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Id_LeituristaColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public decimal Totalizacao_Minuto {
                get {
                    try {
                        return ((decimal)(this[this.tablesgm_Leitura.Totalizacao_MinutoColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Totalizacao_Minuto\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Totalizacao_MinutoColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public decimal Pressao {
                get {
                    return ((decimal)(this[this.tablesgm_Leitura.PressaoColumn]));
                }
                set {
                    this[this.tablesgm_Leitura.PressaoColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public decimal Temperatura {
                get {
                    return ((decimal)(this[this.tablesgm_Leitura.TemperaturaColumn]));
                }
                set {
                    this[this.tablesgm_Leitura.TemperaturaColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public decimal Volume_Lido {
                get {
                    return ((decimal)(this[this.tablesgm_Leitura.Volume_LidoColumn]));
                }
                set {
                    this[this.tablesgm_Leitura.Volume_LidoColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public decimal Volume_Corrigido_Dia {
                get {
                    try {
                        return ((decimal)(this[this.tablesgm_Leitura.Volume_Corrigido_DiaColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Volume_Corrigido_Dia\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Volume_Corrigido_DiaColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public decimal Volume_Corrigido_Hora {
                get {
                    try {
                        return ((decimal)(this[this.tablesgm_Leitura.Volume_Corrigido_HoraColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Volume_Corrigido_Hora\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Volume_Corrigido_HoraColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public System.DateTime Data_Inclusao {
                get {
                    try {
                        return ((global::System.DateTime)(this[this.tablesgm_Leitura.Data_InclusaoColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Data_Inclusao\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Data_InclusaoColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool Flag_Status {
                get {
                    try {
                        return ((bool)(this[this.tablesgm_Leitura.Flag_StatusColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Flag_Status\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Flag_StatusColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public System.DateTime Data_Conferencia {
                get {
                    try {
                        return ((global::System.DateTime)(this[this.tablesgm_Leitura.Data_ConferenciaColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Data_Conferencia\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Data_ConferenciaColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool flag_Corrigido {
                get {
                    try {
                        return ((bool)(this[this.tablesgm_Leitura.flag_CorrigidoColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'flag_Corrigido\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.flag_CorrigidoColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public System.DateTime Data_Corrigido {
                get {
                    try {
                        return ((global::System.DateTime)(this[this.tablesgm_Leitura.Data_CorrigidoColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Data_Corrigido\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Data_CorrigidoColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public int Id_Leitura_Anterior {
                get {
                    try {
                        return ((int)(this[this.tablesgm_Leitura.Id_Leitura_AnteriorColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Id_Leitura_Anterior\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Id_Leitura_AnteriorColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public System.DateTime Data_Referencia {
                get {
                    try {
                        return ((global::System.DateTime)(this[this.tablesgm_Leitura.Data_ReferenciaColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Data_Referencia\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Data_ReferenciaColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public decimal Pressao_CV {
                get {
                    try {
                        return ((decimal)(this[this.tablesgm_Leitura.Pressao_CVColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Pressao_CV\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Pressao_CVColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public decimal Temperatura_CV {
                get {
                    try {
                        return ((decimal)(this[this.tablesgm_Leitura.Temperatura_CVColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Temperatura_CV\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Temperatura_CVColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public decimal Volume_CV {
                get {
                    try {
                        return ((decimal)(this[this.tablesgm_Leitura.Volume_CVColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Volume_CV\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Volume_CVColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public string Observacoes {
                get {
                    try {
                        return ((string)(this[this.tablesgm_Leitura.ObservacoesColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Observacoes\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.ObservacoesColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool f_Consumo {
                get {
                    try {
                        return ((bool)(this[this.tablesgm_Leitura.f_ConsumoColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'f_Consumo\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.f_ConsumoColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public decimal Pressao_Conversor {
                get {
                    try {
                        return ((decimal)(this[this.tablesgm_Leitura.Pressao_ConversorColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Pressao_Conversor\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Pressao_ConversorColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public decimal Temperatura_Conversor {
                get {
                    try {
                        return ((decimal)(this[this.tablesgm_Leitura.Temperatura_ConversorColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Temperatura_Conversor\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Temperatura_ConversorColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public decimal Volume_Conversor {
                get {
                    try {
                        return ((decimal)(this[this.tablesgm_Leitura.Volume_ConversorColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'Volume_Conversor\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.Volume_ConversorColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool flag_Faturar {
                get {
                    try {
                        return ((bool)(this[this.tablesgm_Leitura.flag_FaturarColumn]));
                    }
                    catch (global::System.InvalidCastException e) {
                        throw new global::System.Data.StrongTypingException("The value for column \'flag_Faturar\' in table \'sgm_Leitura\' is DBNull.", e);
                    }
                }
                set {
                    this[this.tablesgm_Leitura.flag_FaturarColumn] = value;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsId_LeituristaNull() {
                return this.IsNull(this.tablesgm_Leitura.Id_LeituristaColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetId_LeituristaNull() {
                this[this.tablesgm_Leitura.Id_LeituristaColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsTotalizacao_MinutoNull() {
                return this.IsNull(this.tablesgm_Leitura.Totalizacao_MinutoColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetTotalizacao_MinutoNull() {
                this[this.tablesgm_Leitura.Totalizacao_MinutoColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsVolume_Corrigido_DiaNull() {
                return this.IsNull(this.tablesgm_Leitura.Volume_Corrigido_DiaColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetVolume_Corrigido_DiaNull() {
                this[this.tablesgm_Leitura.Volume_Corrigido_DiaColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsVolume_Corrigido_HoraNull() {
                return this.IsNull(this.tablesgm_Leitura.Volume_Corrigido_HoraColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetVolume_Corrigido_HoraNull() {
                this[this.tablesgm_Leitura.Volume_Corrigido_HoraColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsData_InclusaoNull() {
                return this.IsNull(this.tablesgm_Leitura.Data_InclusaoColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetData_InclusaoNull() {
                this[this.tablesgm_Leitura.Data_InclusaoColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsFlag_StatusNull() {
                return this.IsNull(this.tablesgm_Leitura.Flag_StatusColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetFlag_StatusNull() {
                this[this.tablesgm_Leitura.Flag_StatusColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsData_ConferenciaNull() {
                return this.IsNull(this.tablesgm_Leitura.Data_ConferenciaColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetData_ConferenciaNull() {
                this[this.tablesgm_Leitura.Data_ConferenciaColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool Isflag_CorrigidoNull() {
                return this.IsNull(this.tablesgm_Leitura.flag_CorrigidoColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void Setflag_CorrigidoNull() {
                this[this.tablesgm_Leitura.flag_CorrigidoColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsData_CorrigidoNull() {
                return this.IsNull(this.tablesgm_Leitura.Data_CorrigidoColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetData_CorrigidoNull() {
                this[this.tablesgm_Leitura.Data_CorrigidoColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsId_Leitura_AnteriorNull() {
                return this.IsNull(this.tablesgm_Leitura.Id_Leitura_AnteriorColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetId_Leitura_AnteriorNull() {
                this[this.tablesgm_Leitura.Id_Leitura_AnteriorColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsData_ReferenciaNull() {
                return this.IsNull(this.tablesgm_Leitura.Data_ReferenciaColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetData_ReferenciaNull() {
                this[this.tablesgm_Leitura.Data_ReferenciaColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsPressao_CVNull() {
                return this.IsNull(this.tablesgm_Leitura.Pressao_CVColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetPressao_CVNull() {
                this[this.tablesgm_Leitura.Pressao_CVColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsTemperatura_CVNull() {
                return this.IsNull(this.tablesgm_Leitura.Temperatura_CVColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetTemperatura_CVNull() {
                this[this.tablesgm_Leitura.Temperatura_CVColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsVolume_CVNull() {
                return this.IsNull(this.tablesgm_Leitura.Volume_CVColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetVolume_CVNull() {
                this[this.tablesgm_Leitura.Volume_CVColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsObservacoesNull() {
                return this.IsNull(this.tablesgm_Leitura.ObservacoesColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetObservacoesNull() {
                this[this.tablesgm_Leitura.ObservacoesColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool Isf_ConsumoNull() {
                return this.IsNull(this.tablesgm_Leitura.f_ConsumoColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void Setf_ConsumoNull() {
                this[this.tablesgm_Leitura.f_ConsumoColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsPressao_ConversorNull() {
                return this.IsNull(this.tablesgm_Leitura.Pressao_ConversorColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetPressao_ConversorNull() {
                this[this.tablesgm_Leitura.Pressao_ConversorColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsTemperatura_ConversorNull() {
                return this.IsNull(this.tablesgm_Leitura.Temperatura_ConversorColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetTemperatura_ConversorNull() {
                this[this.tablesgm_Leitura.Temperatura_ConversorColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool IsVolume_ConversorNull() {
                return this.IsNull(this.tablesgm_Leitura.Volume_ConversorColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void SetVolume_ConversorNull() {
                this[this.tablesgm_Leitura.Volume_ConversorColumn] = global::System.Convert.DBNull;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public bool Isflag_FaturarNull() {
                return this.IsNull(this.tablesgm_Leitura.flag_FaturarColumn);
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public void Setflag_FaturarNull() {
                this[this.tablesgm_Leitura.flag_FaturarColumn] = global::System.Convert.DBNull;
            }
        }
        
        /// <summary>
        ///Row event argument class
        ///</summary>
        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
        public class sgm_LeituraRowChangeEvent : global::System.EventArgs {
            
            private sgm_LeituraRow eventRow;
            
            private global::System.Data.DataRowAction eventAction;
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public sgm_LeituraRowChangeEvent(sgm_LeituraRow row, global::System.Data.DataRowAction action) {
                this.eventRow = row;
                this.eventAction = action;
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public sgm_LeituraRow Row {
                get {
                    return this.eventRow;
                }
            }
            
            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
            [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "16.0.0.0")]
            public global::System.Data.DataRowAction Action {
                get {
                    return this.eventAction;
                }
            }
        }
    }
}

#pragma warning restore 1591